﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TabControlAndTileViewExample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            ObservableCollection<DataItem> items = new ObservableCollection<DataItem>();
            items.Add(new DataItem("http://google.com"));
            items.Add(new DataItem("http://yahoo.com"));

            tabControl.ItemsSource = items;
            tileView.ItemsSource = items;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (tabControl.Visibility == Visibility.Visible)
            {
                tabControl.Visibility = Visibility.Collapsed;
                tileView.Visibility = Visibility.Visible;
            }
            else
            {
                tileView.Visibility = Visibility.Collapsed;
                tabControl.Visibility = Visibility.Visible;
            }
        }
    }

    public class DataItem
    {
        public string Url
        {
            get;
            set;
        }

        public DataItem(string url)
        {
            this.Url = url;
        }
    }
}
